﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public rp As RuntimePermissions
	Public Timer As Timer
	Private Counter As Int
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	Try
		Timer.Initialize("Timer1",60000)
	Catch
		Log(LastException)
	End Try
End Sub

Sub Service_Start (StartingIntent As Intent)
	
	Try
		Log("Service_Start")
		Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
		Timer.Enabled=True
		
	Catch
		Log("Service_Start " & LastException)
	End Try
	
	
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	Try
		Timer.Enabled=False
		Log("Timer Stopped")
	Catch
		Log("Service_Destroy " & LastException)
	End Try

End Sub


private Sub RunCounter
	
	Try
		
		Dim IsP_Main As Boolean
		
		
		IsP_Main=IsPaused(Main)
		
		
		If IsP_Main  Then
			
			Counter = Counter + 1
			
			If Counter = 30 Then
				Counter=0
				Timer.Enabled=False
				
				Main.IsLogOut=True
				
				StartActivity(Main)
			End If
			
		Else
			Counter = 0
		End If
	
	Catch
		Log("RunCounter " & LastException)
	End Try
	
End Sub

Sub timer1_tick
	
	Try
		RunCounter
		Log("Counter=" & Counter & " " & DateUtils.TicksToString(DateTime.Now))
	Catch
		Log("timer1_tick " & LastException)
	End Try
	
	
End Sub
